<template>
  <div class="wrapper">
<!--    <span class="loader">-->
<!--      <span class="loader-inner"></span>-->
         <img src="/images/miniloader.svg" class="img-fluid" alt="creativegoods">
<!--    </span>-->
  </div>
</template>

<script>

export default {
  name: 'Preloader',
};
</script>

<style lang="scss" scoped>
.wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 400px;
}
.loader {
  display: inline-block;
  width: 30px;
  height: 30px;
  border: 4px solid #cacaca;
  animation: loader 2s infinite ease;
}

.loader-inner {
  vertical-align: top;
  display: inline-block;
  width: 100%;
  background-color: #cacaca;
  animation: loader-inner 2s infinite ease-in;
}

@keyframes loader {
  0% {
    transform: rotate(0deg);
  }

  25% {
    transform: rotate(180deg);
  }

  50% {
    transform: rotate(180deg);
  }

  75% {
    transform: rotate(360deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

@keyframes loader-inner {
  0% {
    height: 0%;
  }

  25% {
    height: 0%;
  }

  50% {
    height: 100%;
  }

  75% {
    height: 100%;
  }

  100% {
    height: 0%;
  }
}
</style>
